/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkDomainsParallelChemistryObjectFactory.cxx

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

// Object factories should never have deprecation warnings.
#define VTK_DEPRECATION_LEVEL 0

#include "vtkDomainsParallelChemistryObjectFactory.h"
#include "vtkVersion.h"

// Include all of the classes we want to create overrides for.
#include "vtkPSimpleBondPerceiver.h"


vtkStandardNewMacro(vtkDomainsParallelChemistryObjectFactory);

// Now create the functions to create overrides with.
VTK_CREATE_CREATE_FUNCTION(vtkPSimpleBondPerceiver)


vtkDomainsParallelChemistryObjectFactory::vtkDomainsParallelChemistryObjectFactory()
{
this->RegisterOverride("vtkSimpleBondPerceiver", "vtkPSimpleBondPerceiver", "Override for VTK::DomainsParallelChemistry module", 1, vtkObjectFactoryCreatevtkPSimpleBondPerceiver);

}

const char * vtkDomainsParallelChemistryObjectFactory::GetVTKSourceVersion()
{
  return VTK_SOURCE_VERSION;
}

void vtkDomainsParallelChemistryObjectFactory::PrintSelf(ostream &os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os, indent);
}

// Registration of object factories.
static unsigned int vtkDomainsParallelChemistryCount = 0;

VTKDOMAINSPARALLELCHEMISTRY_EXPORT void vtkDomainsParallelChemistry_AutoInit_Construct()
{
  if(++vtkDomainsParallelChemistryCount == 1)
  {


    vtkDomainsParallelChemistryObjectFactory* factory = vtkDomainsParallelChemistryObjectFactory::New();
    if (factory)
    {
      // vtkObjectFactory keeps a reference to the "factory",
      vtkObjectFactory::RegisterFactory(factory);
      factory->Delete();
    }
  }
}
